﻿<AML>
 <Item type="Method" id="2043006A5FBB4C81BB90A60587CC8B31" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			pop_invoice_account_item_changed
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
	Get Account Code from acc_AccountDetails according by Account and set.
	
Hooks:
	Type:	Form	:	pop_vendor_invoice
	Event:	acc_account ( onChange )

Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */
//debugger;
var myInnovator = new Innovator();
var acc_account = top.aras.getItemProperty(document.item, 'acc_account');

var account_item = myInnovator.newItem("acc_AccountDetails", "get");
account_item.setProperty("id", acc_account);
account_item = account_item.apply();
var count = account_item.getItemCount();
if (count > 0) {
    var accountItem = account_item.getItemByIndex(0);
    var acc_accountdetail_code = accountItem.getProperty("acc_accountdetail_code", "");
    handleItemChange("acc_account_code", acc_accountdetail_code);
}]]></method_code>
  <method_type>JavaScript</method_type>
  <name>pop_invoice_account_item_changed</name>
 </Item>
</AML>